gr::gfdm::modulator_cc Class Reference

modulator_cc modulates an input tagged input stream with subcarrier-wise sorting according to "Generalized Frequency Division Multiplexing: Analysis of an Alternative Multi-Carrier Technique for Next Generation Cellular Systems" by N. Michailow Low Complexity, Sparse Frequency Domain Processing More...

`#include <modulator_cc.h>`

Inheritance diagram for gr::gfdm::modulator_cc:
[legend]

## Public Types

typedef boost::shared_ptr< modulator_cc > | sptr

## Static Public Member Functions

static sptr | make (int nsubcarrier, int ntimeslots, double filter_alpha, int fft_len, int sync_fft_len, const std::string &len_tag_key="frame_len")
| Return a shared_ptr to a new instance of gfdm::modulator_cc.

## Detailed Description

modulator_cc modulates an input tagged input stream with subcarrier-wise sorting according to "Generalized Frequency Division Multiplexing: Analysis of an Alternative Multi-Carrier Technique for Next Generation Cellular Systems" by N. Michailow Low Complexity, Sparse Frequency Domain Processing

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<modulator_cc> gr::gfdm::modulator_cc::sptr

## Member Function Documentation

## make()

static sptr gr::gfdm::modulator_cc::make | ( | int | nsubcarrier,
|  | int | ntimeslots,
|  | double | filter_alpha,
|  | int | fft_len,
|  | int | sync_fft_len,
|  | const std::string & | len_tag_key = `"frame_len"`
| ) |  |

static

Return a shared_ptr to a new instance of gfdm::modulator_cc.

To avoid accidental use of raw pointers, gfdm::modulator_cc's constructor is in a private implementation class. gfdm::modulator_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- modulator_cc.h